# class Tk::Text::Peer

### Public Class Methods

new(text, parent=nil, keys={}) click to toggle source

Tk8.5 feature

Calls superclass method Tk::Text.new

    # File lib/tk/text.rb, line 1588
    def initialize(text, parent=nil, keys={})
      unless text.kind_of?(Tk::Text)
        fail ArgumentError, "Tk::Text is expected for 1st argument"
      end
      @src_text = text
      super(parent, keys)
    end

### Private Instance Methods

create_self(keys) click to toggle source

    # File lib/tk/text.rb, line 1596
    def create_self(keys)
      if keys and keys != None
        tk_call_without_enc(@src_text.path, 'peer', 'create',
                            @path, *hash_kv(keys, true))
      else
        tk_call_without_enc(@src_text.path, 'peer', 'create', @path)
      end
    end